Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 458182

Summary: dev-libs/wayland-1.0.4 - No rule to make target `wl_display_connect.xml', needed by `wl_display_connect.3'
Product: Gentoo Linux Reporter: Dennis Schridde <devurandom>
Component: [OLD] LibraryAssignee: Gentoo X packagers <x11>
Status: RESOLVED FIXED    
Severity: normal    
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Attachments: build.log

Description Dennis Schridde 2013-02-18 20:47:03 UTC
dev-libs/wayland-1.0.4 fails to build:
make[3]: Entering directory `/var/tmp/portage/dev-libs/wayland-1.0.4/work/wayland-1.0.4/doc/man'
make[3]: *** No rule to make target `wl_display_connect.xml', needed by `wl_display_connect.3'.  Stop.
make[3]: Leaving directory `/var/tmp/portage/dev-libs/wayland-1.0.4/work/wayland-1.0.4/doc/man'

Reproducible: Always
Comment 1 Dennis Schridde 2013-02-18 20:47:19 UTC
Created attachment 339302 [details]
build.log
Comment 2 Adrian Bassett 2013-02-19 17:26:33 UTC
(In reply to comment #1)
> Created attachment 339302 [details]
> build.log

This is fixed in the commit at http://cgit.freedesktop.org/wayland/wayland/commit/?h=1.0&id=0fb588ed15d255ac1a453269b56f427264084307 which is included in v. 1.0.5 released on 14th Feb.
Comment 3 Matt Turner gentoo-dev 2013-05-06 04:33:43 UTC
Fixed in 1.0.5 and 1.1.0 as stated by Adrian.